package com.zcloud.mapper.datasource.eightwork;

import com.zcloud.entity.PageData;

import java.util.List;

/**
 * @author fangjiakai
 * @date 2024/01/17 11:31
 */
public interface ConfinedspaceSignMapper {

    /**新增
     * @param pd
     * @throws Exception
     */
    void save(PageData pd);
    void saveBatch(List<PageData> signers);

    /**修改
     * @param pd
     * @throws Exception
     */
    void edit(PageData pd);

    /**根据动火ID查询签字列表
     * @throws Exception
     */
    List<PageData> listById(PageData pd);

    List<PageData> listAll(PageData sign);

    /**根据动火ID查询未签字列表
     * @throws Exception
     */
    List<PageData> checkUnsigned(PageData sign);
}
